<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: PrepareFish Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/dc1/class_prepare_fish.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">PrepareFish Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ac49a882a2986eb97739893047f0328e1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc1/class_prepare_fish.html#ac49a882a2986eb97739893047f0328e1">Init</a> ()</td></tr>
<tr class="separator:ac49a882a2986eb97739893047f0328e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed8d93ba43bc2c253c3a30ac84986ea8"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc1/class_prepare_fish.html#aed8d93ba43bc2c253c3a30ac84986ea8">CanDo</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> ingredients[], <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:aed8d93ba43bc2c253c3a30ac84986ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9641b46c34f2645374d1463340423d0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc1/class_prepare_fish.html#af9641b46c34f2645374d1463340423d0">Do</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> ingredients[], <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> &gt; results, <a class="el" href="../../d4/dc3/classfloat.html">float</a> specialty_weight)</td></tr>
<tr class="separator:af9641b46c34f2645374d1463340423d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac49a882a2986eb97739893047f0328e1"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc1/class_prepare_fish.html#ac49a882a2986eb97739893047f0328e1">Init</a> ()</td></tr>
<tr class="separator:ac49a882a2986eb97739893047f0328e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed8d93ba43bc2c253c3a30ac84986ea8"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc1/class_prepare_fish.html#aed8d93ba43bc2c253c3a30ac84986ea8">CanDo</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> ingredients[], <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:aed8d93ba43bc2c253c3a30ac84986ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9641b46c34f2645374d1463340423d0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc1/class_prepare_fish.html#af9641b46c34f2645374d1463340423d0">Do</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> ingredients[], <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> &gt; results, <a class="el" href="../../d4/dc3/classfloat.html">float</a> specialty_weight)</td></tr>
<tr class="separator:af9641b46c34f2645374d1463340423d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/dac/_prepare_carp_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/dac/_prepare_carp_8c_source.html">PrepareCarp.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aed8d93ba43bc2c253c3a30ac84986ea8" name="aed8d93ba43bc2c253c3a30ac84986ea8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed8d93ba43bc2c253c3a30ac84986ea8">&#9670;&#160;</a></span>CanDo() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> PrepareFish::CanDo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>ingredients</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dac/_prepare_carp_8c_source.html#l00107">107</a> of file <a class="el" href="../../d1/dac/_prepare_carp_8c_source.html">PrepareCarp.c</a>.</p>

</div>
</div>
<a id="aed8d93ba43bc2c253c3a30ac84986ea8" name="aed8d93ba43bc2c253c3a30ac84986ea8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed8d93ba43bc2c253c3a30ac84986ea8">&#9670;&#160;</a></span>CanDo() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> PrepareFish::CanDo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>ingredients</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d17/_prepare_mackerel_8c_source.html#l00096">96</a> of file <a class="el" href="../../d9/d17/_prepare_mackerel_8c_source.html">PrepareMackerel.c</a>.</p>

</div>
</div>
<a id="af9641b46c34f2645374d1463340423d0" name="af9641b46c34f2645374d1463340423d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9641b46c34f2645374d1463340423d0">&#9670;&#160;</a></span>Do() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PrepareFish::Do </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>ingredients</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> &gt;&#160;</td>
          <td class="paramname"><em>results</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>specialty_weight</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dac/_prepare_carp_8c_source.html#l00112">112</a> of file <a class="el" href="../../d1/dac/_prepare_carp_8c_source.html">PrepareCarp.c</a>.</p>

</div>
</div>
<a id="af9641b46c34f2645374d1463340423d0" name="af9641b46c34f2645374d1463340423d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9641b46c34f2645374d1463340423d0">&#9670;&#160;</a></span>Do() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PrepareFish::Do </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>ingredients</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> &gt;&#160;</td>
          <td class="paramname"><em>results</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>specialty_weight</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d17/_prepare_mackerel_8c_source.html#l00101">101</a> of file <a class="el" href="../../d9/d17/_prepare_mackerel_8c_source.html">PrepareMackerel.c</a>.</p>

</div>
</div>
<a id="ac49a882a2986eb97739893047f0328e1" name="ac49a882a2986eb97739893047f0328e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac49a882a2986eb97739893047f0328e1">&#9670;&#160;</a></span>Init() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PrepareFish::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dac/_prepare_carp_8c_source.html#l00003">3</a> of file <a class="el" href="../../d1/dac/_prepare_carp_8c_source.html">PrepareCarp.c</a>.</p>

</div>
</div>
<a id="ac49a882a2986eb97739893047f0328e1" name="ac49a882a2986eb97739893047f0328e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac49a882a2986eb97739893047f0328e1">&#9670;&#160;</a></span>Init() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PrepareFish::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d17/_prepare_mackerel_8c_source.html#l00003">3</a> of file <a class="el" href="../../d9/d17/_prepare_mackerel_8c_source.html">PrepareMackerel.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/4_World/Classes/Recipes/Recipes/<a class="el" href="../../d1/dac/_prepare_carp_8c_source.html">PrepareCarp.c</a></li>
<li>scripts/4_World/Classes/Recipes/Recipes/<a class="el" href="../../d9/d17/_prepare_mackerel_8c_source.html">PrepareMackerel.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/dc1/class_prepare_fish.html">PrepareFish</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
